<div class="content-heading">
  <div>Cadastrar Administrador</div>
</div>


<div class="row">
  <div class="col-md-12">
    <form #form="ngForm" validate>

      <panel>

        <div class="row">

          <div class="col-md-6">
            <div class="form-group">
              <label>Nome: <span class="obrigatorio">*</span></label>
              <input type="text"  [(ngModel)]="entidade.nome" required="required" maxlength="255" id="nome" name="nome" class="form-control"/>
            </div>
          </div>

          <div class="col-md-6">
            <div class="form-group">
              <label>Status:</label>
              <p-dropdown [(ngModel)]="entidade.status"  styleClass="form-control" id="status" name="status"  [options]="status" [(ngModel)]="entidade.status">
                <ng-template let-item pTemplate="selectedItem">
                  <span style="vertical-align:middle">{{item.label}}</span>
                </ng-template>
              </p-dropdown>
            </div>
          </div>

        </div>


        <div class="row">

          <div class="col-md-6">
            <div class="form-group">
              <label>E-mail:<span class="obrigatorio">*</span></label>
              <input type="text" [(ngModel)]="entidade.email"  required="required" maxlength="255" id="email" name="email" class="form-control"/>
            </div>
          </div>

          <div class="col-md-6">
            <div class="form-group">
              <label>Usuario:<span class="obrigatorio">*</span></label>
              <input type="text" [(ngModel)]="entidade.login"  required="required" maxlength="30" id="login" name="login" class="form-control"/>
            </div>
          </div>

        </div>


        <hr/>

        <div class="row">
          <div class="col-md-8"></div>
          <div class="col-md-4">
            <button  class="btn btn-primary button-right" (click)="salvar(form)">Salvar</button>
            <button  class="btn btn-secondary button-right" (click)="voltar()">Cancelar</button>
            <button *ngIf="entidade.id" class="btn btn-primary button-right" (click)="redefinirSenha()" >Redefinir senha</button>
          </div>
        </div>

      </panel>

    </form>
  </div>
</div>
